# struct LLVM::Function

- LLVM::Function
- Struct
- Value
- Object

##
Included Modules

- LLVM::ValueMethods

##
Defined in:

##
Instance Method Summary

- #add_attribute(attribute : Attribute, index = AttributeIndex::FunctionIndex)
- #add_target_dependent_attribute(name, value)
- #attributes(index = AttributeIndex::FunctionIndex)
- #basic_blocks
- #call_convention
- #call_convention=(cc)
- #delete
- #function_type
- #params
- #personality_function=(fn)
- #return_type
- #varargs?

### Instance methods inherited from module `LLVM::ValueMethods`

add_instruction_attribute(index : Int, attribute : LLVM::Attribute, context : LLVM::Context) add_instruction_attribute, alignment=(bytes) alignment=, call_convention call_convention, call_convention=(call_convention) call_convention=, const_int_get_sext_value const_int_get_sext_value, const_int_get_zext_value const_int_get_zext_value, constant? constant?, dump dump, global_constant=(global_constant) global_constant=, global_constant? global_constant?, initializer initializer, initializer=(initializer) initializer=, inspect(io : IO) : Nil inspect, kind kind, linkage linkage, linkage=(linkage) linkage=, name name, name=(name) name=, ordering=(ordering) ordering=, thread_local=(thread_local) thread_local=, thread_local? thread_local?, to_unsafe to_unsafe, to_value to_value, type type, volatile=(volatile) volatile=

### Constructor methods inherited from module `LLVM::ValueMethods`

new(unwrap : LibLLVM::ValueRef) new

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def add_attribute(attribute : Attribute, index = AttributeIndex::FunctionIndex) #
def add_target_dependent_attribute(name, value) #
def attributes(index = AttributeIndex::FunctionIndex) #
def basic_blocks #
def call_convention #
def call_convention=(cc) #
def delete #
def function_type #
def params #
def personality_function=(fn) #
def return_type #
def varargs? #